﻿$ErrorActionPreference = 'Stop'
$toolsPath = (Split-Path -Parent $MyInvocation.MyCommand.Definition)
. "$toolsPath\helpers.ps1"

$pp = Get-PackageParameters

$parameters += if ($pp.NoDesktopShortcut)     { " /desktopshortcut 0"; Write-Host "Desktop shortcut won't be created" }
$parameters += if ($pp.NoTaskbarShortcut)     { " /pintotaskbar 0"; Write-Host "Opera won't be pinned to taskbar" }

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'exe'
  url            = 'https://get.geo.opera.com/pub/opera-developer/67.0.3554.0/win/Opera_Developer_67.0.3554.0_Setup.exe'
  url64          = 'https://get.geo.opera.com/pub/opera-developer/67.0.3554.0/win/Opera_Developer_67.0.3554.0_Setup_x64.exe'
  checksum       = 'e27ee89b4d6e58eee8f6416001aafba651db979d135b36108ea9670528beed7a'
  checksum64     = 'c7f37633d09bc7fa61a03e4807622eb4ec474f36f40a5782652aedbf8cc15cb7'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/install /silent /launchopera 0 /setdefaultbrowser 0' + $parameters
  validExitCodes = @(0)
}

$version = '67.0.3554.0'
if (!$Env:ChocolateyForce -and (IsVersionAlreadyInstalled $version)) {
  Write-Output "Opera $version is already installed. Skipping download and installation."
} else {
  Install-ChocolateyPackage @packageArgs
}
